FROM python:3
ENV PYTHONDONTWRITEBYTECODE=1
ENV PYTHONUNBUFFERED=1

# Copie de l'application dans le docker
COPY . /app
WORKDIR /app

# Upgrade de pip et installation des dépendances
RUN pip install --upgrade pip 
RUN pip install -r requirements.txt

# Lancement du serveur au lancement du docker
CMD ["./wait.sh"]